/*******************************************************************************
* File Name: Pin0_1_Slave.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin0_1_Slave_H) /* Pins Pin0_1_Slave_H */
#define CY_PINS_Pin0_1_Slave_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin0_1_Slave_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v2_0 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Pin0_1_Slave__PORT == 15 && ((Pin0_1_Slave__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    Pin0_1_Slave_Write(uint8 value) ;
void    Pin0_1_Slave_SetDriveMode(uint8 mode) ;
uint8   Pin0_1_Slave_ReadDataReg(void) ;
uint8   Pin0_1_Slave_Read(void) ;
uint8   Pin0_1_Slave_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Pin0_1_Slave_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Pin0_1_Slave_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Pin0_1_Slave_DM_RES_UP          PIN_DM_RES_UP
#define Pin0_1_Slave_DM_RES_DWN         PIN_DM_RES_DWN
#define Pin0_1_Slave_DM_OD_LO           PIN_DM_OD_LO
#define Pin0_1_Slave_DM_OD_HI           PIN_DM_OD_HI
#define Pin0_1_Slave_DM_STRONG          PIN_DM_STRONG
#define Pin0_1_Slave_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Pin0_1_Slave_MASK               Pin0_1_Slave__MASK
#define Pin0_1_Slave_SHIFT              Pin0_1_Slave__SHIFT
#define Pin0_1_Slave_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin0_1_Slave_PS                     (* (reg8 *) Pin0_1_Slave__PS)
/* Data Register */
#define Pin0_1_Slave_DR                     (* (reg8 *) Pin0_1_Slave__DR)
/* Port Number */
#define Pin0_1_Slave_PRT_NUM                (* (reg8 *) Pin0_1_Slave__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin0_1_Slave_AG                     (* (reg8 *) Pin0_1_Slave__AG)                       
/* Analog MUX bux enable */
#define Pin0_1_Slave_AMUX                   (* (reg8 *) Pin0_1_Slave__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin0_1_Slave_BIE                    (* (reg8 *) Pin0_1_Slave__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin0_1_Slave_BIT_MASK               (* (reg8 *) Pin0_1_Slave__BIT_MASK)
/* Bypass Enable */
#define Pin0_1_Slave_BYP                    (* (reg8 *) Pin0_1_Slave__BYP)
/* Port wide control signals */                                                   
#define Pin0_1_Slave_CTL                    (* (reg8 *) Pin0_1_Slave__CTL)
/* Drive Modes */
#define Pin0_1_Slave_DM0                    (* (reg8 *) Pin0_1_Slave__DM0) 
#define Pin0_1_Slave_DM1                    (* (reg8 *) Pin0_1_Slave__DM1)
#define Pin0_1_Slave_DM2                    (* (reg8 *) Pin0_1_Slave__DM2) 
/* Input Buffer Disable Override */
#define Pin0_1_Slave_INP_DIS                (* (reg8 *) Pin0_1_Slave__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin0_1_Slave_LCD_COM_SEG            (* (reg8 *) Pin0_1_Slave__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin0_1_Slave_LCD_EN                 (* (reg8 *) Pin0_1_Slave__LCD_EN)
/* Slew Rate Control */
#define Pin0_1_Slave_SLW                    (* (reg8 *) Pin0_1_Slave__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin0_1_Slave_PRTDSI__CAPS_SEL       (* (reg8 *) Pin0_1_Slave__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin0_1_Slave_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin0_1_Slave__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin0_1_Slave_PRTDSI__OE_SEL0        (* (reg8 *) Pin0_1_Slave__PRTDSI__OE_SEL0) 
#define Pin0_1_Slave_PRTDSI__OE_SEL1        (* (reg8 *) Pin0_1_Slave__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin0_1_Slave_PRTDSI__OUT_SEL0       (* (reg8 *) Pin0_1_Slave__PRTDSI__OUT_SEL0) 
#define Pin0_1_Slave_PRTDSI__OUT_SEL1       (* (reg8 *) Pin0_1_Slave__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin0_1_Slave_PRTDSI__SYNC_OUT       (* (reg8 *) Pin0_1_Slave__PRTDSI__SYNC_OUT) 


#if defined(Pin0_1_Slave__INTSTAT)  /* Interrupt Registers */

    #define Pin0_1_Slave_INTSTAT                (* (reg8 *) Pin0_1_Slave__INTSTAT)
    #define Pin0_1_Slave_SNAP                   (* (reg8 *) Pin0_1_Slave__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Pin0_1_Slave_H */


/* [] END OF FILE */
